# 常用功能工具箱

Golang 中可以使用的常用辅助功能工具箱。主要配备以下功能：

- 加解密算法
  - [ ] 螺旋随机密钥自解密算法
  - [ ] AES-CBC 便捷加解密算法
    - [ ] No Padding
    - [ ] ZerosPadding
    - [ ] Pkcs7Padding
  - [ ] DES-CBC 便捷加解密算法
    - [ ] No Padding
    - [ ] ZerosPadding
    - [ ] Pkcs7Padding
  - [ ] 3DES-CBC 便捷加解密算法
    - [ ] No Padding
    - [ ] ZerosPadding
    - [ ] Pkcs7Padding
  - [ ] RSA 加解密算法
    - [ ] 1024 位长
    - [ ] 2048 位长
    - [ ] KeyPair 生成器
  - [ ] RSA 签名算法
- 散列算法。
  - [ ] Sha512 散列算法
  - [ ] Sha256 散列算法
  - [ ] Sha1 散列算法
  - [ ] MD5 散列算法
  - [ ] 图像感知散列算法
- 唯一序列号生成器
  - [ ] 冰雹 ID 生成器(短主机精简日期版雪花 ID)
  - [ ] UUID 生成器
  - [ ] short UUID 生成器
- 验证码生成器
  - [x] 随机验证码生成算法
- 序列化算法
  - [ ] Base64 算法
  - [ ] Base58 算法
  - [ ] Hex 直转
- 常用工具函数
  - [ ] 日期时间函数
- 常用工具类型
  - [x] 日期
  - [x] 时间

本工具箱仅可支持于 Golang 程序中使用。
